%define upstream_name    News-Scan
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Gathers and reports newsgroup statistics
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/News/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Mail::Address)
BuildArch: noarch

%description
This module provides a class whose objects can be used to gather and report
Usenet newsgroup statistics.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes TODO
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.530.0-10.mga9
+ Revision: 1805006
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.530.0-9.mga8
+ Revision: 1496089
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.530.0-8.mga7
+ Revision: 1270201
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.530.0-7.mga6
+ Revision: 1031342
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.530.0-6.mga6
+ Revision: 944539
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.530.0-5.mga5
+ Revision: 749478
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.530.0-4.mga5
+ Revision: 685752
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.530.0-3.mga4
+ Revision: 513627
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.530.0-2.mga3
+ Revision: 370989
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 kharec <kharec> 0.530.0-1.mga2
+ Revision: 175449
- Add a BR on Mail:Address
- fix typo on BR
- Add a BR on Data::Parse
- imported package perl-News-Scan


* Sat Dec 03 2011 cpan2dist 0.53-1mga
- initial mageia release, generated with cpan2dist
